<template>
  <div>
    <v-card>
      <Plotly :data="plotData" :layout="layout"></Plotly>
    </v-card>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

// @ts-ignore
import { Plotly } from "vue-plotly";


import Component from "vue-class-component";
import { Prop, Watch } from "vue-property-decorator";
import { ISeries } from "@/interfaces";

@Component({ components: { Plotly } })
export default class MainChart extends Vue {
  @Prop() series!: ISeries[];
  @Prop() type!: string;
  layout = {
    scene: {
    xaxis: {
      title: 'Q, л/мин',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'C Ain, моль/л',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    zaxis: {
      title: 'C в, моль/л',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
    },
  xaxis: {
    title: {
      text: 'Q, моль/л',
    },
  },
  yaxis: {
    title: {
      text: 'C Ain, моль/л',
    }
  }
};

  get plotData() {
    const data: ISeries[] = [];
    this.series.forEach((s: ISeries) => {
      data.push({
        hovertemplate:
            "Q: %{x:,.2f} <br>" +
            "C: %{y:,.2f} <br>" +
            "Cвых: %{z:,.6f}" +
            "<extra></extra>",
        x: s.x,
        y: s.y,
        z: s.z,
        type: this.type,
      });
    });
    return data;
  }
}
</script>